> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction By Id



## OpenAPI

````yaml /api-reference/openapi.json get /transactions/{transactionId}
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /transactions/{transactionId}:
    parameters:
      - name: transactionId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Transactions
      summary: Get Transaction By Id
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  id: e917faf4-acdc-4e12-afa8-cd03898e9e82
                  createdAt: '2026-03-26T09:08:13.201Z'
                  updatedAt: '2026-03-26T09:08:13.201Z'
                  active: true
                  reference: faacc87c-e37c-4280-a81a-bf4341a5bb15
                  description: Transfer to @terence
                  narration: null
                  type: DEBIT
                  category: WITHDRAWAL
                  amount: 10
                  walletId: 7b63f04c-e1c3-4ffe-952b-3840270cc996

````